/****************************
 * Icon Description > Item
****************************/
.ifs-icon-description__item {
    --icon-size:90px;
    --item-box-shadow:0px 30px 30px rgba(0, 0, 0, 0.03),
    0px 14px 14px rgba(0, 0, 0, 0.03),
    0px 7px 7px rgba(0, 0, 0, 0.03),
    0px 4px 4px rgba(0, 0, 0, 0.03),
    0px 2px 2px rgba(0, 0, 0, 0.03),
    0px 1px 1px rgba(0, 0, 0, 0.03);
    --item-height:365px;
}
.ifs-icon-description__item-inner {
    padding:23px; min-height:var(--item-height);
    border:1px solid var(--ifs-color-gray-1); box-shadow:var(--item-box-shadow);
}

/* image */
.ifs-icon-description__item-image {
    width:var(--icon-size);font-size:var(--icon-size);
}

/* content */
.ifs-icon-description__item-content {--ifs-spacing-paragraph:var(--ifs-spacing-10);}
.ifs-icon-description__item-content p:has([class*="btn_"]) {margin-top:var(--ifs-spacing-20);}

/* vc row option */
.vc_row.ifs-bg-gray-with-dots .ifs-icon-description__item-inner {background-color:var(--ifs-color-white);}

/****************************
 * Icon Description > Grid
****************************/
.ifs-icon-description__inner {
    --grid-gap-x:24px;
    --grid-gap-y:24px;

    container-type:inline-size;
}
.ifs-icon-description__inner .ifs-icon-description__item {
    --item-height:calc((100cqi - ((var(--grid-col) - 1) * var(--grid-gap-y))) / var(--grid-col));
}


/****************************
 * Icon Description Responsive
****************************/
@media only screen and (max-width:1024px) {
    .ifs-icon-description__inner {
        --grid-gap-x:var(--ifs-gap-container);
        --grid-gap-y:var(--ifs-gap-container);
    }
    .ifs-icon-description__item-inner {padding:var(--ifs-gap-container);}
}
@media only screen and (max-width:920px) {
    .ifs-icon-description__inner {--grid-col:2;}
}
@media only screen and (max-width:520px) {
    .ifs-icon-description__inner {--grid-col:1;}
}
@media only screen and (max-width:480px) {
    .ifs-icon-description__item {--icon-size:64px;}
}